#include "tmixapp.h"
#include <tqwidget.h>
#include <twin.h>

TmixApp::TmixApp() : TDEUniqueApplication(), m_win(0), m_firstInstance(true) {}

int TmixApp::newInstance()
{
    if ( m_firstInstance ) {
        m_firstInstance = false;
        return 0;
    }
    if ( m_win ) {
        m_win->show();
        KWin::forceActiveWindow( m_win->winId() );
    }
    return 0;
}

#include "tmixapp.moc"
